Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455739

Summary: beagle ate all my disk space ~0.25TB
Product: [Fedora] Fedora Reporter: James Antill <james.antill>
Component: beagleAssignee: Adel Gadllah <adel.gadllah>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: adel.gadllah, aliux.parra
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: beagle-0.3.8-3.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-27 17:43:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description James Antill 2008-07-17 14:22:54 UTC
Description of problem:
 I logged in this morning to find that I had no disk space, this was pretty
surprising given that I have 1.5TB and last I knew I had about 250GB left. Then
I eventually find:

% du -sh ~/.beagle
243G /home/james/.beagle

...now beagle had been running in Fed-8, and was using nowhere near this level
of storage.

Version-Release number of selected component (if applicable):
beagle-0:0.3.7-4.fc9.x86_64

Comment 1 Adel Gadllah 2008-07-17 16:08:12 UTC
If you have not deleted it yet can you see which sub folder is eating all the
space? 
How much space does the ~/.beagle/Log use? Might be thats its gone crazy logging
an error that keeps happening.

Comment 2 James Antill 2008-07-17 18:34:34 UTC
 It's possible, when I did the rm -rf on .beagle it gave warnings after a bit
with "stale NFS file" on a couple of the files in TextCache -- which was
surprising as the FS is ext3 :)
 I eventually had to reboot and manually fsck to get rid of them, so it might
have been that.


Comment 3 James Antill 2008-07-22 14:34:24 UTC
 It just did it again:

% ls -l /home/james/.beagle/Log/2008-07-21-15-24-48-Beagle
-rw-r--r-- 1 james james 238810812416 2008-07-22 09:11
/home/james/.beagle/Log/2008-07-21-15-24-48-Beagle

 That's 238,810,812,416 == 223G

 There are a _lot_ of messages like (with different index numbers):

20080722 09:11:18.7356 24979 Beagle  WARN: Skipping bogus message
[file=/home/james/.evolution/mail/imap/jantill@<deleted>.Pr Security/summary,
index=15268075, error=System.Exception: Unexpected end of file
20080722 09:11:18.7356 24979 Beagle  WARN:   at Beagle.Util.Camel.Decode.UInt
(System.IO.FileStream f) [0x00000] 
20080722 09:11:18.7356 24979 Beagle  WARN:   at Beagle.Util.Camel.Decode.String
(System.IO.FileStream f) [0x00000] 
20080722 09:11:18.7356 24979 Beagle  WARN:   at
Beagle.Util.Camel.MessageInfo..ctor (System.IO.FileStream f) [0x00000] 
20080722 09:11:18.7356 24979 Beagle  WARN:   at
Beagle.Util.Camel.ImapMessageInfo..ctor (System.IO.FileStream f, Boolean
content_info_load) [0x00000] 
20080722 09:11:18.7356 24979 Beagle  WARN:   at
Beagle.Util.Camel.ImapSummary.ReadMessageInfo (System.IO.FileStream f) [0x00000] 
20080722 09:11:18.7356 24979 Beagle  WARN:   at
Beagle.Util.Camel.Summary+SummaryEnumerator.MoveNext () [0x00000] ]
20080722 09:11:18.7358 24979 Beagle  WARN: Skipping bogus message
[file=/home/james/.evolution/mail/imap/jantill@<deleted>.Pr Security/summary,
index=15268076, error=System.Exception: Unexpected end of file

...obvious doing a grep on the full 230GB+ file would take "a while", but I did do:

% head -n 10000000 /home/james/.beagle/Log/2008-07-21-15-24-48-Beagle  | fgrep
'Skipping bogus message' | wc -l
1428567

...and given each of the above gives out ~7 lines, 1428567 * 7 == 9999969 ... so
it's fair to say that might be the problem.


Comment 4 Fedora Update System 2008-07-22 17:14:51 UTC
beagle-0.3.8-1.fc9 has been submitted as an update for Fedora 9

Comment 5 Adel Gadllah 2008-07-22 17:15:45 UTC
Should be fixed in 0.3.8-1 , thanks for the log output.

Comment 6 Fedora Update System 2008-07-24 02:12:59 UTC
beagle-0.3.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update beagle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6690